{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Approve or reject custom deployment protection rules provided by a GitHub App for a workflow run. For more information, see \"[Using environments for deployment](https://docs.github.com/actions/deployment/targeting-different-environments/using-environments-for-deployment).\"\n\n> [!NOTE]\n> GitHub Apps can only review their own custom deployment protection rules. To approve or reject pending deployments that are waiting for review from a specific person or team, see [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments`](/rest/actions/workflow-runs#review-pending-deployments-for-a-workflow-run).\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"run_id":{"type":"integer","description":"The unique identifier of the workflow run."}},"required":["owner","repo","run_id"],"additionalProperties":false},"body":{"anyOf":[{"$ref":"#/definitions/review-custom-gates-comment-required"},{"$ref":"#/definitions/review-custom-gates-state-required"}],"examples":[{"environment_name":"prod-eus","state":"approved","comment":"All health checks passed."}]}},"required":["path","body"],"additionalProperties":false,"definitions":{"review-custom-gates-comment-required":{"type":"object","properties":{"environment_name":{"type":"string","description":"The name of the environment to approve or reject."},"comment":{"type":"string","description":"Comment associated with the pending deployment protection rule. **Required when state is not provided.**"}},"required":["environment_name","comment"]},"review-custom-gates-state-required":{"type":"object","properties":{"environment_name":{"type":"string","description":"The name of the environment to approve or reject."},"state":{"type":"string","description":"Whether to approve or reject deployment to the specified environments.","enum":["approved","rejected"]},"comment":{"type":"string","description":"Optional comment to include with the review."}},"required":["environment_name","state"]}}},"name":"Review custom deployment protection rules for a workflow run","id":"github.actions.review-custom-gates-for-run","example":{"path":{"owner":"octocat","repo":"hello-world","run_id":1},"body":{"environment_name":"prod-eus","state":"approved","comment":"All health checks passed."}},"maxRequests":1,"summary":false}}